ReceiveAlertmanagerWebhook
Receive alert notifications from Alertmanager webhook callbacks Auth: X-Webhook-Secret header (static secret, forwarded as gRPC metadata).
POST
/api/v1/alerting/webhook/{receiver}Operation ID
ReceiveAlertmanagerWebhookSince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
receiverStringRequiredReceiver name from Alertmanager configuration
Body Fields
versionStringAlertmanager API version
Example: 4
groupKeyStringGroup key identifying the alert group
Example: {}:{alertname=HighCPU}
truncatedAlertsIntegerNumber of alerts truncated from the payload
Example: 20
statusStringGroup status: firing or resolved
Example: firing
externalUrlStringExternal URL of the Alertmanager instance
Example: http://alertmanager:9093
Responses
200 OKChange History
View all change historyChange TimeChange SummaryAction
Change Time
AddedRequest body fields generatorURLDeletedRequest body fields generatorUrlView API
